Page MenuHomePhabricator

SyntaxHighlight should run Pygments with Python 3
Closed, ResolvedPublic

Description

Debian has started warning (https://lintian.debian.org/tags/dependency-on-python-version-marked-for-end-of-life.html) about things that use Python 2 and not 3 - including MediaWiki via SyntaxHighlight/Pygments.

I *think* we just need to update https://phabricator.wikimedia.org/diffusion/ESHG/browse/master/pygments/create_pygmentize_bundle to point to /usr/bin/python3, and regenerate the bundle. And then announce/document that highlighting requires Python 3 to be installed.

Tagging as a 1.31 blocker as this extension is bundled with the tarball and the 1.31 support cycle is planned to end in 2021, while Python 2 goes EOL in 2020.

Details

Related Gerrit Patches:
mediawiki/extensions/SyntaxHighlight_GeSHi : REL1_30Run Pygments using Python 3
mediawiki/extensions/SyntaxHighlight_GeSHi : REL1_29Run Pygments using Python 3
mediawiki/extensions/SyntaxHighlight_GeSHi : masterRun Pygments using Python 3
operations/puppet : productionmediawiki: Remove unused python-pygments package

Event Timeline

Legoktm created this task.Dec 14 2017, 8:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2017, 8:28 AM

Change 400457 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Run Pygments using Python 3

https://gerrit.wikimedia.org/r/400457

Change 400458 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/puppet@production] mediawiki: Ensure Python 3 is available for Pygments

https://gerrit.wikimedia.org/r/400458

Legoktm claimed this task.Dec 28 2017, 2:57 AM

Change 400457 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Run Pygments using Python 3

https://gerrit.wikimedia.org/r/400457

Legoktm closed this task as Resolved.Jan 2 2018, 11:40 AM

The puppet patch is just extra cleanup, Python 3 is already installed on all appservers.

Change 400458 merged by Muehlenhoff:
[operations/puppet@production] mediawiki: Remove unused python-pygments package

https://gerrit.wikimedia.org/r/400458

Change 440873 had a related patch set uploaded (by Reedy; owner: Legoktm):
[mediawiki/extensions/SyntaxHighlight_GeSHi@REL1_29] Run Pygments using Python 3

https://gerrit.wikimedia.org/r/440873

Change 440874 had a related patch set uploaded (by Reedy; owner: Legoktm):
[mediawiki/extensions/SyntaxHighlight_GeSHi@REL1_30] Run Pygments using Python 3

https://gerrit.wikimedia.org/r/440874

Change 440873 abandoned by Krinkle:
Run Pygments using Python 3

Reason:
Task T197669 was declined per T197669.

https://gerrit.wikimedia.org/r/440873

Change 440874 abandoned by Reedy:
Run Pygments using Python 3

https://gerrit.wikimedia.org/r/440874